Index: branches/DataAnalysisService/HeuristicLab.ExperimentGeneration.DataAnalysis.ExperimentWizard/3.3/HeuristicLab.ExperimentGeneration.DataAnalysis.ExperimentWizard.csproj
===================================================================
--- branches/DataAnalysisService/HeuristicLab.ExperimentGeneration.DataAnalysis.ExperimentWizard/3.3/HeuristicLab.ExperimentGeneration.DataAnalysis.ExperimentWizard.csproj	(revision 7808)
+++ branches/DataAnalysisService/HeuristicLab.ExperimentGeneration.DataAnalysis.ExperimentWizard/3.3/HeuristicLab.ExperimentGeneration.DataAnalysis.ExperimentWizard.csproj	(revision 7816)
@@ -108,4 +108,5 @@
     <Compile Include="DataAnalysisExperimentWizard.cs" />
     <Compile Include="ExperimentWizardMenuItem.cs" />
+    <Compile Include="Plugin.cs" />
     <Compile Include="ProblemDataPage.cs">
       <SubType>UserControl</SubType>
@@ -121,13 +122,13 @@
   </ItemGroup>
   <ItemGroup>
+    <EmbeddedResource Include="ProblemDataPage.resx">
+      <DependentUpon>ProblemDataPage.cs</DependentUpon>
+    </EmbeddedResource>
+  </ItemGroup>
+  <ItemGroup>
     <ProjectReference Include="..\..\HeuristicLab.ExperimentGeneration.DataAnalysis.Wizard\3.3\HeuristicLab.ExperimentGeneration.DataAnalysis.Wizard.csproj">
       <Project>{77169FE1-C48A-49AE-A0DD-67921D7835AB}</Project>
       <Name>HeuristicLab.ExperimentGeneration.DataAnalysis.Wizard</Name>
     </ProjectReference>
-  </ItemGroup>
-  <ItemGroup>
-    <EmbeddedResource Include="ProblemDataPage.resx">
-      <DependentUpon>ProblemDataPage.cs</DependentUpon>
-    </EmbeddedResource>
   </ItemGroup>
   <Import Project="$(MSBuildToolsPath)\Microsoft.CSharp.targets" />
Index: branches/DataAnalysisService/HeuristicLab.ExperimentGeneration.DataAnalysis.ExperimentWizard/3.3/ProblemDataPage.Designer.cs
===================================================================
--- branches/DataAnalysisService/HeuristicLab.ExperimentGeneration.DataAnalysis.ExperimentWizard/3.3/ProblemDataPage.Designer.cs	(revision 7808)
+++ branches/DataAnalysisService/HeuristicLab.ExperimentGeneration.DataAnalysis.ExperimentWizard/3.3/ProblemDataPage.Designer.cs	(revision 7816)
@@ -24,18 +24,10 @@
     /// </summary>
     private void InitializeComponent() {
-      this.wizardBanner1 = new HeuristicLab.ExperimentGeneration.DataAnalysis.Wizard.Controls.WizardBanner();
       this.dataAnalysisProblemView = new HeuristicLab.Problems.DataAnalysis.Views.DataAnalysisProblemView();
       this.SuspendLayout();
       // 
-      // wizardBanner1
+      // wizardBanner
       // 
-      this.wizardBanner1.BackColor = System.Drawing.SystemColors.Window;
-      this.wizardBanner1.Dock = System.Windows.Forms.DockStyle.Top;
-      this.wizardBanner1.Location = new System.Drawing.Point(0, 0);
-      this.wizardBanner1.Name = "wizardBanner1";
-      this.wizardBanner1.Size = new System.Drawing.Size(713, 81);
-      this.wizardBanner1.Subtitle = "Please select file ...";
-      this.wizardBanner1.TabIndex = 0;
-      this.wizardBanner1.Title = "Problem Data";
+      this.wizardBanner.Size = new System.Drawing.Size(640, 81);
       // 
       // dataAnalysisProblemView
@@ -47,5 +39,5 @@
       this.dataAnalysisProblemView.Name = "dataAnalysisProblemView";
       this.dataAnalysisProblemView.ReadOnly = false;
-      this.dataAnalysisProblemView.Size = new System.Drawing.Size(713, 371);
+      this.dataAnalysisProblemView.Size = new System.Drawing.Size(640, 399);
       this.dataAnalysisProblemView.TabIndex = 1;
       // 
@@ -53,9 +45,11 @@
       // 
       this.AutoScaleDimensions = new System.Drawing.SizeF(6F, 13F);
+      this.AutoScaleMode = System.Windows.Forms.AutoScaleMode.Font;
       this.Controls.Add(this.dataAnalysisProblemView);
-      this.Controls.Add(this.wizardBanner1);
       this.Name = "ProblemDataPage";
-      this.Size = new System.Drawing.Size(713, 452);
+      this.Size = new System.Drawing.Size(640, 480);
       this.SetActive += new System.ComponentModel.CancelEventHandler(this.ProblemDataPage_SetActive);
+      this.Controls.SetChildIndex(this.wizardBanner, 0);
+      this.Controls.SetChildIndex(this.dataAnalysisProblemView, 0);
       this.ResumeLayout(false);
 
@@ -64,5 +58,4 @@
     #endregion
 
-    private Wizard.Controls.WizardBanner wizardBanner1;
     private Problems.DataAnalysis.Views.DataAnalysisProblemView dataAnalysisProblemView;
 
Index: branches/DataAnalysisService/HeuristicLab.ExperimentGeneration.DataAnalysis.ExperimentWizard/3.3/ProblemDataPage.cs
===================================================================
--- branches/DataAnalysisService/HeuristicLab.ExperimentGeneration.DataAnalysis.ExperimentWizard/3.3/ProblemDataPage.cs	(revision 7808)
+++ branches/DataAnalysisService/HeuristicLab.ExperimentGeneration.DataAnalysis.ExperimentWizard/3.3/ProblemDataPage.cs	(revision 7816)
@@ -1,3 +1,4 @@
 ﻿using System.ComponentModel;
+using HeuristicLab.Problems.DataAnalysis;
 
 namespace HeuristicLab.ExperimentGeneration.DataAnalysis.ExperimentWizard {
@@ -5,4 +6,5 @@
     public ProblemDataPage() {
       InitializeComponent();
+      dataAnalysisProblemView.Content = new RegressionProblem();
     }
 