Index: trunk/sources/HeuristicLab.Problems.DataAnalysis.Views/3.4/DataAnalysisProblemView.Designer.cs
===================================================================
--- trunk/sources/HeuristicLab.Problems.DataAnalysis.Views/3.4/DataAnalysisProblemView.Designer.cs	(revision 7738)
+++ 	(revision )
@@ -1,115 +1,0 @@
-﻿#region License Information
-/* HeuristicLab
- * Copyright (C) 2002-2012 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
- *
- * This file is part of HeuristicLab.
- *
- * HeuristicLab is free software: you can redistribute it and/or modify
- * it under the terms of the GNU General Public License as published by
- * the Free Software Foundation, either version 3 of the License, or
- * (at your option) any later version.
- *
- * HeuristicLab is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with HeuristicLab. If not, see <http://www.gnu.org/licenses/>.
- */
-#endregion
-
-namespace HeuristicLab.Problems.DataAnalysis.Views {
-  partial class DataAnalysisProblemView {
-    /// <summary> 
-    /// Required designer variable.
-    /// </summary>
-    private System.ComponentModel.IContainer components = null;
-
-    /// <summary> 
-    /// Clean up any resources being used.
-    /// </summary>
-    /// <param name="disposing">true if managed resources should be disposed; otherwise, false.</param>
-    protected override void Dispose(bool disposing) {
-      if (disposing && (components != null)) {
-        components.Dispose();
-      }
-      base.Dispose(disposing);
-    }
-
-    #region Component Designer generated code
-
-    /// <summary> 
-    /// Required method for Designer support - do not modify 
-    /// the contents of this method with the code editor.
-    /// </summary>
-    private void InitializeComponent() {
-      this.openFileDialog = new System.Windows.Forms.OpenFileDialog();
-      this.ImportButton = new System.Windows.Forms.Button();
-      ((System.ComponentModel.ISupportInitialize)(this.problemInstanceSplitContainer)).BeginInit();
-      this.problemInstanceSplitContainer.Panel1.SuspendLayout();
-      this.problemInstanceSplitContainer.Panel2.SuspendLayout();
-      this.problemInstanceSplitContainer.SuspendLayout();
-      ((System.ComponentModel.ISupportInitialize)(this.errorProvider)).BeginInit();
-      this.SuspendLayout();
-      // 
-      // libraryInfoButton
-      // 
-      this.libraryInfoButton.Location = new System.Drawing.Point(224, 1);
-      // 
-      // problemInstanceSplitContainer
-      // 
-      // 
-      // problemInstanceSplitContainer.Panel2
-      // 
-      this.problemInstanceSplitContainer.Panel2.Controls.Add(this.ImportButton);
-      // 
-      // parameterCollectionView
-      // 
-      this.parameterCollectionView.Location = new System.Drawing.Point(6, 56);
-      this.parameterCollectionView.Size = new System.Drawing.Size(501, 274);
-      // 
-      // nameTextBox
-      // 
-      this.errorProvider.SetIconAlignment(this.nameTextBox, System.Windows.Forms.ErrorIconAlignment.MiddleLeft);
-      this.errorProvider.SetIconPadding(this.nameTextBox, 2);
-      // 
-      // openFileDialog
-      // 
-      this.openFileDialog.Filter = "CSV files|*.csv|Text files|*.txt|All files|*.*";
-      this.openFileDialog.Title = "Import data...";
-      // 
-      // ImportButton
-      // 
-      this.ImportButton.Anchor = ((System.Windows.Forms.AnchorStyles)(((System.Windows.Forms.AnchorStyles.Top | System.Windows.Forms.AnchorStyles.Left)
-                  | System.Windows.Forms.AnchorStyles.Right)));
-      this.ImportButton.Location = new System.Drawing.Point(6, 27);
-      this.ImportButton.Name = "ImportButton";
-      this.ImportButton.Size = new System.Drawing.Size(501, 23);
-      this.ImportButton.TabIndex = 14;
-      this.ImportButton.Text = "Import from CSV file";
-      this.ImportButton.UseVisualStyleBackColor = true;
-      this.ImportButton.Click += new System.EventHandler(this.ImportButton_Click);
-      // 
-      // DataAnalysisProblemView
-      // 
-      this.AutoScaleDimensions = new System.Drawing.SizeF(6F, 13F);
-      this.AutoScaleMode = System.Windows.Forms.AutoScaleMode.Font;
-      this.Name = "DataAnalysisProblemView";
-      this.problemInstanceSplitContainer.Panel1.ResumeLayout(false);
-      this.problemInstanceSplitContainer.Panel1.PerformLayout();
-      this.problemInstanceSplitContainer.Panel2.ResumeLayout(false);
-      this.problemInstanceSplitContainer.Panel2.PerformLayout();
-      ((System.ComponentModel.ISupportInitialize)(this.problemInstanceSplitContainer)).EndInit();
-      this.problemInstanceSplitContainer.ResumeLayout(false);
-      ((System.ComponentModel.ISupportInitialize)(this.errorProvider)).EndInit();
-      this.ResumeLayout(false);
-
-    }
-
-    #endregion
-
-    private System.Windows.Forms.OpenFileDialog openFileDialog;
-    private System.Windows.Forms.Button ImportButton;
-  }
-}
Index: trunk/sources/HeuristicLab.Problems.DataAnalysis.Views/3.4/DataAnalysisProblemView.cs
===================================================================
--- trunk/sources/HeuristicLab.Problems.DataAnalysis.Views/3.4/DataAnalysisProblemView.cs	(revision 7738)
+++ 	(revision )
@@ -1,57 +1,0 @@
-﻿#region License Information
-/* HeuristicLab
- * Copyright (C) 2002-2012 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
- *
- * This file is part of HeuristicLab.
- *
- * HeuristicLab is free software: you can redistribute it and/or modify
- * it under the terms of the GNU General Public License as published by
- * the Free Software Foundation, either version 3 of the License, or
- * (at your option) any later version.
- *
- * HeuristicLab is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with HeuristicLab. If not, see <http://www.gnu.org/licenses/>.
- */
-#endregion
-
-using System;
-using System.Windows.Forms;
-using HeuristicLab.MainForm;
-using HeuristicLab.Optimization.Views;
-using HeuristicLab.PluginInfrastructure;
-
-namespace HeuristicLab.Problems.DataAnalysis.Views {
-  [View("DataAnalysisProblem View")]
-  [Content(typeof(IDataAnalysisProblem), true)]
-  public partial class DataAnalysisProblemView : ProblemView {
-    public DataAnalysisProblemView() {
-      InitializeComponent();
-    }
-
-    public new IDataAnalysisProblem Content {
-      get { return (IDataAnalysisProblem)base.Content; }
-      set { base.Content = value; }
-    }
-
-    protected override void SetEnabledStateOfControls() {
-      base.SetEnabledStateOfControls();
-      ImportButton.Enabled = !Locked && !ReadOnly && Content != null;
-    }
-
-    private void ImportButton_Click(object sender, System.EventArgs e) {
-      if (openFileDialog.ShowDialog(this) == DialogResult.OK) {
-        try {
-          Content.ImportProblemDataFromFile(openFileDialog.FileName);
-        }
-        catch (Exception ex) {
-          ErrorHandling.ShowErrorDialog(this, ex);
-        }
-      }
-    }
-  }
-}
Index: trunk/sources/HeuristicLab.Problems.DataAnalysis.Views/3.4/HeuristicLab.Problems.DataAnalysis.Views-3.4.csproj
===================================================================
--- trunk/sources/HeuristicLab.Problems.DataAnalysis.Views/3.4/HeuristicLab.Problems.DataAnalysis.Views-3.4.csproj	(revision 7738)
+++ trunk/sources/HeuristicLab.Problems.DataAnalysis.Views/3.4/HeuristicLab.Problems.DataAnalysis.Views-3.4.csproj	(revision 7823)
@@ -129,4 +129,10 @@
     </Compile>
     <Compile Include="Plugin.cs" />
+    <Compile Include="Regression\RegressionEnsembleSolutionModelView.cs">
+      <SubType>UserControl</SubType>
+    </Compile>
+    <Compile Include="Regression\RegressionEnsembleSolutionModelView.Designer.cs">
+      <DependentUpon>RegressionEnsembleSolutionModelView.cs</DependentUpon>
+    </Compile>
     <Compile Include="Regression\RegressionSolutionErrorCharacteristicsCurveView.cs">
       <SubType>UserControl</SubType>
@@ -135,9 +141,15 @@
       <DependentUpon>RegressionSolutionErrorCharacteristicsCurveView.cs</DependentUpon>
     </Compile>
-    <Compile Include="Regression\RegressionEnsembleSolutionModelView.cs">
-      <SubType>UserControl</SubType>
-    </Compile>
-    <Compile Include="Regression\RegressionEnsembleSolutionModelView.Designer.cs">
-      <DependentUpon>RegressionEnsembleSolutionModelView.cs</DependentUpon>
+    <Compile Include="Regression\RegressionSolutionEstimatedValuesView.cs">
+      <SubType>UserControl</SubType>
+    </Compile>
+    <Compile Include="Regression\RegressionSolutionEstimatedValuesView.Designer.cs">
+      <DependentUpon>RegressionSolutionEstimatedValuesView.cs</DependentUpon>
+    </Compile>
+    <Compile Include="Regression\RegressionSolutionLineChartView.cs">
+      <SubType>UserControl</SubType>
+    </Compile>
+    <Compile Include="Regression\RegressionSolutionLineChartView.Designer.cs">
+      <DependentUpon>RegressionSolutionLineChartView.cs</DependentUpon>
     </Compile>
     <Compile Include="Regression\RegressionSolutionResidualHistogram.cs">
@@ -146,4 +158,10 @@
     <Compile Include="Regression\RegressionSolutionResidualHistogram.Designer.cs">
       <DependentUpon>RegressionSolutionResidualHistogram.cs</DependentUpon>
+    </Compile>
+    <Compile Include="Regression\RegressionSolutionScatterPlotView.cs">
+      <SubType>UserControl</SubType>
+    </Compile>
+    <Compile Include="Regression\RegressionSolutionScatterPlotView.Designer.cs">
+      <DependentUpon>RegressionSolutionScatterPlotView.cs</DependentUpon>
     </Compile>
     <Compile Include="Solution Views\ClassificationSolutionView.cs">
@@ -238,28 +256,4 @@
     <Compile Include="Solution Views\RegressionSolutionView.Designer.cs">
       <DependentUpon>RegressionSolutionView.cs</DependentUpon>
-    </Compile>
-    <Compile Include="Regression\RegressionSolutionEstimatedValuesView.cs">
-      <SubType>UserControl</SubType>
-    </Compile>
-    <Compile Include="Regression\RegressionSolutionEstimatedValuesView.Designer.cs">
-      <DependentUpon>RegressionSolutionEstimatedValuesView.cs</DependentUpon>
-    </Compile>
-    <Compile Include="Regression\RegressionSolutionLineChartView.cs">
-      <SubType>UserControl</SubType>
-    </Compile>
-    <Compile Include="Regression\RegressionSolutionLineChartView.Designer.cs">
-      <DependentUpon>RegressionSolutionLineChartView.cs</DependentUpon>
-    </Compile>
-    <Compile Include="Regression\RegressionSolutionScatterPlotView.cs">
-      <SubType>UserControl</SubType>
-    </Compile>
-    <Compile Include="Regression\RegressionSolutionScatterPlotView.Designer.cs">
-      <DependentUpon>RegressionSolutionScatterPlotView.cs</DependentUpon>
-    </Compile>
-    <Compile Include="DataAnalysisProblemView.cs">
-      <SubType>UserControl</SubType>
-    </Compile>
-    <Compile Include="DataAnalysisProblemView.Designer.cs">
-      <DependentUpon>DataAnalysisProblemView.cs</DependentUpon>
     </Compile>
     <None Include="HeuristicLab.snk" />
@@ -371,4 +365,7 @@
       <Install>true</Install>
     </BootstrapperPackage>
+  </ItemGroup>
+  <ItemGroup>
+    <Folder Include="obj\" />
   </ItemGroup>
   <Import Project="$(MSBuildToolsPath)\Microsoft.CSharp.targets" />