Index: branches/DataAnalysisService/HeuristicLab.ExperimentGeneration.DataAnalysis.ExperimentWizard/3.3/DataAnalysisExperimentWizard.cs
===================================================================
--- branches/DataAnalysisService/HeuristicLab.ExperimentGeneration.DataAnalysis.ExperimentWizard/3.3/DataAnalysisExperimentWizard.cs	(revision 7816)
+++ branches/DataAnalysisService/HeuristicLab.ExperimentGeneration.DataAnalysis.ExperimentWizard/3.3/DataAnalysisExperimentWizard.cs	(revision 7824)
@@ -4,8 +4,16 @@
   public class DataAnalysisExperimentWizard {
     private WizardBase wizard;
+    private DataAnalysisWizardContext context;
 
     public DataAnalysisExperimentWizard() {
+      context = new DataAnalysisWizardContext();
       wizard = new WizardBase();
-      wizard.WizardPages.Add(new ProblemDataPage());
+      wizard.Text = "Data Analysis Service";
+      wizard.AddPage(new ProblemDataPage(context));
+      wizard.AddPage(new ProblemDataViewPage(context));
+      wizard.AddPage(new SelectAnalysisPage(context));
+      wizard.AddPage(new WizardPage());
+      wizard.AddPage(new MediumAnalysisPage());
+
     }
 
Index: branches/DataAnalysisService/HeuristicLab.ExperimentGeneration.DataAnalysis.ExperimentWizard/3.3/DataAnalysisWizardContext.cs
===================================================================
--- branches/DataAnalysisService/HeuristicLab.ExperimentGeneration.DataAnalysis.ExperimentWizard/3.3/DataAnalysisWizardContext.cs	(revision 7824)
+++ branches/DataAnalysisService/HeuristicLab.ExperimentGeneration.DataAnalysis.ExperimentWizard/3.3/DataAnalysisWizardContext.cs	(revision 7824)
@@ -0,0 +1,8 @@
+﻿
+using HeuristicLab.Problems.DataAnalysis;
+namespace HeuristicLab.ExperimentGeneration.DataAnalysis.ExperimentWizard {
+  public class DataAnalysisWizardContext {
+    public IDataAnalysisProblem Problem { get; set; }
+    public string SelectedAnalysis { get; set; }
+  }
+}
Index: branches/DataAnalysisService/HeuristicLab.ExperimentGeneration.DataAnalysis.ExperimentWizard/3.3/HeuristicLab.ExperimentGeneration.DataAnalysis.ExperimentWizard.csproj
===================================================================
--- branches/DataAnalysisService/HeuristicLab.ExperimentGeneration.DataAnalysis.ExperimentWizard/3.3/HeuristicLab.ExperimentGeneration.DataAnalysis.ExperimentWizard.csproj	(revision 7816)
+++ branches/DataAnalysisService/HeuristicLab.ExperimentGeneration.DataAnalysis.ExperimentWizard/3.3/HeuristicLab.ExperimentGeneration.DataAnalysis.ExperimentWizard.csproj	(revision 7824)
@@ -107,5 +107,12 @@
   <ItemGroup>
     <Compile Include="DataAnalysisExperimentWizard.cs" />
+    <Compile Include="DataAnalysisWizardContext.cs" />
     <Compile Include="ExperimentWizardMenuItem.cs" />
+    <Compile Include="MediumAnalysisPage.cs">
+      <SubType>UserControl</SubType>
+    </Compile>
+    <Compile Include="MediumAnalysisPage.Designer.cs">
+      <DependentUpon>MediumAnalysisPage.cs</DependentUpon>
+    </Compile>
     <Compile Include="Plugin.cs" />
     <Compile Include="ProblemDataPage.cs">
@@ -115,13 +122,35 @@
       <DependentUpon>ProblemDataPage.cs</DependentUpon>
     </Compile>
+    <Compile Include="ProblemDataViewPage.cs">
+      <SubType>UserControl</SubType>
+    </Compile>
+    <Compile Include="ProblemDataViewPage.Designer.cs">
+      <DependentUpon>ProblemDataViewPage.cs</DependentUpon>
+    </Compile>
     <Compile Include="Properties\AssemblyInfo.cs" />
+    <Compile Include="SelectAnalysisPage.cs">
+      <SubType>UserControl</SubType>
+    </Compile>
+    <Compile Include="SelectAnalysisPage.Designer.cs">
+      <DependentUpon>SelectAnalysisPage.cs</DependentUpon>
+    </Compile>
   </ItemGroup>
   <ItemGroup>
     <None Include="HeuristicLab.snk" />
     <None Include="Plugin.cs.frame" />
+    <None Include="Properties\AssemblyInfo.cs.frame" />
   </ItemGroup>
   <ItemGroup>
+    <EmbeddedResource Include="MediumAnalysisPage.resx">
+      <DependentUpon>MediumAnalysisPage.cs</DependentUpon>
+    </EmbeddedResource>
     <EmbeddedResource Include="ProblemDataPage.resx">
       <DependentUpon>ProblemDataPage.cs</DependentUpon>
+    </EmbeddedResource>
+    <EmbeddedResource Include="ProblemDataViewPage.resx">
+      <DependentUpon>ProblemDataViewPage.cs</DependentUpon>
+    </EmbeddedResource>
+    <EmbeddedResource Include="SelectAnalysisPage.resx">
+      <DependentUpon>SelectAnalysisPage.cs</DependentUpon>
     </EmbeddedResource>
   </ItemGroup>
Index: branches/DataAnalysisService/HeuristicLab.ExperimentGeneration.DataAnalysis.ExperimentWizard/3.3/MediumAnalysisPage.Designer.cs
===================================================================
--- branches/DataAnalysisService/HeuristicLab.ExperimentGeneration.DataAnalysis.ExperimentWizard/3.3/MediumAnalysisPage.Designer.cs	(revision 7824)
+++ branches/DataAnalysisService/HeuristicLab.ExperimentGeneration.DataAnalysis.ExperimentWizard/3.3/MediumAnalysisPage.Designer.cs	(revision 7824)
@@ -0,0 +1,60 @@
+﻿namespace HeuristicLab.ExperimentGeneration.DataAnalysis.ExperimentWizard {
+  partial class MediumAnalysisPage {
+    /// <summary>
+    /// Required designer variable.
+    /// </summary>
+    private System.ComponentModel.IContainer components = null;
+
+    /// <summary>
+    /// Clean up any resources being used.
+    /// </summary>
+    /// <param name="disposing">true if managed resources should be disposed; otherwise, false.</param>
+    protected override void Dispose(bool disposing) {
+      if (disposing && (components != null)) {
+        components.Dispose();
+      }
+      base.Dispose(disposing);
+    }
+
+    #region Windows Form Designer generated code
+
+    /// <summary>
+    /// Required method for Designer support - do not modify
+    /// the contents of this method with the code editor.
+    /// </summary>
+    private void InitializeComponent() {
+      this.label1 = new System.Windows.Forms.Label();
+      this.SuspendLayout();
+      // 
+      // wizardBanner
+      // 
+      this.wizardBanner.Subtitle = "Generating experiment ...";
+      this.wizardBanner.Title = "Medium Analysis";
+      // 
+      // label1
+      // 
+      this.label1.AutoSize = true;
+      this.label1.Location = new System.Drawing.Point(106, 124);
+      this.label1.Name = "label1";
+      this.label1.Size = new System.Drawing.Size(35, 13);
+      this.label1.TabIndex = 1;
+      this.label1.Text = "label1";
+      // 
+      // MediumAnalysisPage
+      // 
+      this.AutoScaleDimensions = new System.Drawing.SizeF(6F, 13F);
+      this.Controls.Add(this.label1);
+      this.Name = "MediumAnalysisPage";
+      this.WizardBack += new HeuristicLab.ExperimentGeneration.DataAnalysis.Wizard.WizardPageEventHandler(this.MediumAnalysisPage_WizardBack);
+      this.Controls.SetChildIndex(this.label1, 0);
+      this.Controls.SetChildIndex(this.wizardBanner, 0);
+      this.ResumeLayout(false);
+      this.PerformLayout();
+
+    }
+
+    #endregion
+
+    private System.Windows.Forms.Label label1;
+  }
+}
Index: branches/DataAnalysisService/HeuristicLab.ExperimentGeneration.DataAnalysis.ExperimentWizard/3.3/MediumAnalysisPage.cs
===================================================================
--- branches/DataAnalysisService/HeuristicLab.ExperimentGeneration.DataAnalysis.ExperimentWizard/3.3/MediumAnalysisPage.cs	(revision 7824)
+++ branches/DataAnalysisService/HeuristicLab.ExperimentGeneration.DataAnalysis.ExperimentWizard/3.3/MediumAnalysisPage.cs	(revision 7824)
@@ -0,0 +1,12 @@
+﻿
+namespace HeuristicLab.ExperimentGeneration.DataAnalysis.ExperimentWizard {
+  public partial class MediumAnalysisPage : HeuristicLab.ExperimentGeneration.DataAnalysis.Wizard.WizardPage {
+    public MediumAnalysisPage() {
+      InitializeComponent();
+    }
+
+    private void MediumAnalysisPage_WizardBack(object sender, Wizard.WizardPageEventArgs e) {
+      e.NewPage = "SelectAnalysisPage";
+    }
+  }
+}
Index: branches/DataAnalysisService/HeuristicLab.ExperimentGeneration.DataAnalysis.ExperimentWizard/3.3/ProblemDataPage.Designer.cs
===================================================================
--- branches/DataAnalysisService/HeuristicLab.ExperimentGeneration.DataAnalysis.ExperimentWizard/3.3/ProblemDataPage.Designer.cs	(revision 7816)
+++ branches/DataAnalysisService/HeuristicLab.ExperimentGeneration.DataAnalysis.ExperimentWizard/3.3/ProblemDataPage.Designer.cs	(revision 7824)
@@ -50,4 +50,5 @@
       this.Size = new System.Drawing.Size(640, 480);
       this.SetActive += new System.ComponentModel.CancelEventHandler(this.ProblemDataPage_SetActive);
+      this.WizardNext += new HeuristicLab.ExperimentGeneration.DataAnalysis.Wizard.WizardPageEventHandler(this.ProblemDataPage_WizardNext);
       this.Controls.SetChildIndex(this.wizardBanner, 0);
       this.Controls.SetChildIndex(this.dataAnalysisProblemView, 0);
Index: branches/DataAnalysisService/HeuristicLab.ExperimentGeneration.DataAnalysis.ExperimentWizard/3.3/ProblemDataPage.cs
===================================================================
--- branches/DataAnalysisService/HeuristicLab.ExperimentGeneration.DataAnalysis.ExperimentWizard/3.3/ProblemDataPage.cs	(revision 7816)
+++ branches/DataAnalysisService/HeuristicLab.ExperimentGeneration.DataAnalysis.ExperimentWizard/3.3/ProblemDataPage.cs	(revision 7824)
@@ -4,6 +4,12 @@
 namespace HeuristicLab.ExperimentGeneration.DataAnalysis.ExperimentWizard {
   public partial class ProblemDataPage : HeuristicLab.ExperimentGeneration.DataAnalysis.Wizard.WizardPage {
-    public ProblemDataPage() {
+    private DataAnalysisWizardContext context;
+    public DataAnalysisWizardContext Context {
+      get { return context; }
+    }
+
+    public ProblemDataPage(DataAnalysisWizardContext context) {
       InitializeComponent();
+      this.context = context;
       dataAnalysisProblemView.Content = new RegressionProblem();
     }
@@ -12,4 +18,8 @@
       SetWizardButton(Wizard.WizardButtons.Next);
     }
+
+    private void ProblemDataPage_WizardNext(object sender, Wizard.WizardPageEventArgs e) {
+      context.Problem = dataAnalysisProblemView.Content;
+    }
   }
 }
Index: branches/DataAnalysisService/HeuristicLab.ExperimentGeneration.DataAnalysis.ExperimentWizard/3.3/ProblemDataViewPage.Designer.cs
===================================================================
--- branches/DataAnalysisService/HeuristicLab.ExperimentGeneration.DataAnalysis.ExperimentWizard/3.3/ProblemDataViewPage.Designer.cs	(revision 7824)
+++ branches/DataAnalysisService/HeuristicLab.ExperimentGeneration.DataAnalysis.ExperimentWizard/3.3/ProblemDataViewPage.Designer.cs	(revision 7824)
@@ -0,0 +1,64 @@
+﻿namespace HeuristicLab.ExperimentGeneration.DataAnalysis.ExperimentWizard {
+  partial class ProblemDataViewPage {
+    /// <summary>
+    /// Required designer variable.
+    /// </summary>
+    private System.ComponentModel.IContainer components = null;
+
+    /// <summary>
+    /// Clean up any resources being used.
+    /// </summary>
+    /// <param name="disposing">true if managed resources should be disposed; otherwise, false.</param>
+    protected override void Dispose(bool disposing) {
+      if (disposing && (components != null)) {
+        components.Dispose();
+      }
+      base.Dispose(disposing);
+    }
+
+    #region Windows Form Designer generated code
+
+    /// <summary>
+    /// Required method for Designer support - do not modify
+    /// the contents of this method with the code editor.
+    /// </summary>
+    private void InitializeComponent() {
+      this.stringConvertibleMatrixView = new HeuristicLab.Data.Views.StringConvertibleMatrixView();
+      this.SuspendLayout();
+      // 
+      // wizardBanner
+      // 
+      this.wizardBanner.Size = new System.Drawing.Size(471, 81);
+      // 
+      // stringConvertibleMatrixView
+      // 
+      this.stringConvertibleMatrixView.Caption = "StringConvertibleMatrix View";
+      this.stringConvertibleMatrixView.Content = null;
+      this.stringConvertibleMatrixView.Dock = System.Windows.Forms.DockStyle.Fill;
+      this.stringConvertibleMatrixView.Location = new System.Drawing.Point(0, 81);
+      this.stringConvertibleMatrixView.Name = "stringConvertibleMatrixView";
+      this.stringConvertibleMatrixView.ReadOnly = false;
+      this.stringConvertibleMatrixView.ShowRowsAndColumnsTextBox = true;
+      this.stringConvertibleMatrixView.ShowStatisticalInformation = true;
+      this.stringConvertibleMatrixView.Size = new System.Drawing.Size(471, 230);
+      this.stringConvertibleMatrixView.TabIndex = 1;
+      // 
+      // ProblemDataViewPage
+      // 
+      this.AutoScaleDimensions = new System.Drawing.SizeF(6F, 13F);
+      this.Controls.Add(this.stringConvertibleMatrixView);
+      this.Name = "ProblemDataViewPage";
+      this.Size = new System.Drawing.Size(471, 311);
+      this.SetActive += new System.ComponentModel.CancelEventHandler(this.ProblemDataViewPage_SetActive);
+      this.WizardNext += new HeuristicLab.ExperimentGeneration.DataAnalysis.Wizard.WizardPageEventHandler(this.ProblemDataViewPage_WizardNext);
+      this.Controls.SetChildIndex(this.wizardBanner, 0);
+      this.Controls.SetChildIndex(this.stringConvertibleMatrixView, 0);
+      this.ResumeLayout(false);
+
+    }
+
+    #endregion
+
+    private Data.Views.StringConvertibleMatrixView stringConvertibleMatrixView;
+  }
+}
Index: branches/DataAnalysisService/HeuristicLab.ExperimentGeneration.DataAnalysis.ExperimentWizard/3.3/ProblemDataViewPage.cs
===================================================================
--- branches/DataAnalysisService/HeuristicLab.ExperimentGeneration.DataAnalysis.ExperimentWizard/3.3/ProblemDataViewPage.cs	(revision 7824)
+++ branches/DataAnalysisService/HeuristicLab.ExperimentGeneration.DataAnalysis.ExperimentWizard/3.3/ProblemDataViewPage.cs	(revision 7824)
@@ -0,0 +1,23 @@
+﻿
+namespace HeuristicLab.ExperimentGeneration.DataAnalysis.ExperimentWizard {
+  public partial class ProblemDataViewPage : HeuristicLab.ExperimentGeneration.DataAnalysis.Wizard.WizardPage {
+    private DataAnalysisWizardContext context;
+    public DataAnalysisWizardContext Context {
+      get { return context; }
+    }
+
+    public ProblemDataViewPage(DataAnalysisWizardContext context) {
+      InitializeComponent();
+      this.context = context;
+    }
+
+    private void ProblemDataViewPage_WizardNext(object sender, Wizard.WizardPageEventArgs e) {
+
+    }
+
+    private void ProblemDataViewPage_SetActive(object sender, System.ComponentModel.CancelEventArgs e) {
+      stringConvertibleMatrixView.Content = Context.Problem.ProblemData.Dataset;
+      SetWizardButton(Wizard.WizardButtons.Next);
+    }
+  }
+}
Index: branches/DataAnalysisService/HeuristicLab.ExperimentGeneration.DataAnalysis.ExperimentWizard/3.3/Properties/AssemblyInfo.cs
===================================================================
--- branches/DataAnalysisService/HeuristicLab.ExperimentGeneration.DataAnalysis.ExperimentWizard/3.3/Properties/AssemblyInfo.cs	(revision 7816)
+++ 	(revision )
@@ -1,36 +1,0 @@
-﻿using System.Reflection;
-using System.Runtime.CompilerServices;
-using System.Runtime.InteropServices;
-
-// General Information about an assembly is controlled through the following 
-// set of attributes. Change these attribute values to modify the information
-// associated with an assembly.
-[assembly: AssemblyTitle("HeuristicLab.ExperimentGeneration.DataAnalysis.ExperimentWizard")]
-[assembly: AssemblyDescription("")]
-[assembly: AssemblyConfiguration("")]
-[assembly: AssemblyCompany("FH-Hagenberg")]
-[assembly: AssemblyProduct("HeuristicLab.ExperimentGeneration.DataAnalysis.ExperimentWizard")]
-[assembly: AssemblyCopyright("Copyright © FH-Hagenberg 2012")]
-[assembly: AssemblyTrademark("")]
-[assembly: AssemblyCulture("")]
-
-// Setting ComVisible to false makes the types in this assembly not visible 
-// to COM components.  If you need to access a type in this assembly from 
-// COM, set the ComVisible attribute to true on that type.
-[assembly: ComVisible(false)]
-
-// The following GUID is for the ID of the typelib if this project is exposed to COM
-[assembly: Guid("35b099ce-eb45-4282-b47f-f1774c3f2182")]
-
-// Version information for an assembly consists of the following four values:
-//
-//      Major Version
-//      Minor Version 
-//      Build Number
-//      Revision
-//
-// You can specify all the values or you can default the Build and Revision Numbers 
-// by using the '*' as shown below:
-// [assembly: AssemblyVersion("1.0.*")]
-[assembly: AssemblyVersion("1.0.0.0")]
-[assembly: AssemblyFileVersion("1.0.0.0")]
Index: branches/DataAnalysisService/HeuristicLab.ExperimentGeneration.DataAnalysis.ExperimentWizard/3.3/Properties/AssemblyInfo.cs.frame
===================================================================
--- branches/DataAnalysisService/HeuristicLab.ExperimentGeneration.DataAnalysis.ExperimentWizard/3.3/Properties/AssemblyInfo.cs.frame	(revision 7824)
+++ branches/DataAnalysisService/HeuristicLab.ExperimentGeneration.DataAnalysis.ExperimentWizard/3.3/Properties/AssemblyInfo.cs.frame	(revision 7824)
@@ -0,0 +1,55 @@
+﻿#region License Information
+/* HeuristicLab
+ * Copyright (C) 2002-2012 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ *
+ * This file is part of HeuristicLab.
+ *
+ * HeuristicLab is free software: you can redistribute it and/or modify
+ * it under the terms of the GNU General Public License as published by
+ * the Free Software Foundation, either version 3 of the License, or
+ * (at your option) any later version.
+ *
+ * HeuristicLab is distributed in the hope that it will be useful,
+ * but WITHOUT ANY WARRANTY; without even the implied warranty of
+ * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+ * GNU General Public License for more details.
+ *
+ * You should have received a copy of the GNU General Public License
+ * along with HeuristicLab. If not, see <http://www.gnu.org/licenses/>.
+ */
+#endregion
+
+using System.Reflection;
+using System.Runtime.InteropServices;
+
+// General Information about an assembly is controlled through the following 
+// set of attributes. Change these attribute values to modify the information
+// associated with an assembly.
+[assembly: AssemblyTitle("HeuristicLab.ExperimentGeneration.DataAnalysis.ExperimentWizard")]
+[assembly: AssemblyDescription("HeuristicLab data anaylsis wizard for experiment generation")]
+[assembly: AssemblyConfiguration("")]
+[assembly: AssemblyCompany("")]
+[assembly: AssemblyProduct("HeuristicLab")]
+[assembly: AssemblyCopyright("(c) 2002-2012 HEAL")]
+[assembly: AssemblyTrademark("")]
+[assembly: AssemblyCulture("")]
+
+// Setting ComVisible to false makes the types in this assembly not visible 
+// to COM components.  If you need to access a type in this assembly from 
+// COM, set the ComVisible attribute to true on that type.
+[assembly: ComVisible(false)]
+
+// The following GUID is for the ID of the typelib if this project is exposed to COM
+[assembly: Guid("6A95CE4C-4805-44DE-818B-AB7FE1990B4A")]
+
+// Version information for an assembly consists of the following four values:
+//
+//      Major Version
+//      Minor Version 
+//      Build Number
+//      Revision
+//
+// You can specify all the values or you can default the Build and Revision Numbers 
+// by using the '*' as shown below:
+[assembly: AssemblyVersion("3.3.0.0")]
+[assembly: AssemblyFileVersion("3.3.6.$WCREV$")]
Index: branches/DataAnalysisService/HeuristicLab.ExperimentGeneration.DataAnalysis.ExperimentWizard/3.3/SelectAnalysisPage.Designer.cs
===================================================================
--- branches/DataAnalysisService/HeuristicLab.ExperimentGeneration.DataAnalysis.ExperimentWizard/3.3/SelectAnalysisPage.Designer.cs	(revision 7824)
+++ branches/DataAnalysisService/HeuristicLab.ExperimentGeneration.DataAnalysis.ExperimentWizard/3.3/SelectAnalysisPage.Designer.cs	(revision 7824)
@@ -0,0 +1,157 @@
+﻿namespace HeuristicLab.ExperimentGeneration.DataAnalysis.ExperimentWizard {
+  partial class SelectAnalysisPage {
+    /// <summary>
+    /// Required designer variable.
+    /// </summary>
+    private System.ComponentModel.IContainer components = null;
+
+    /// <summary>
+    /// Clean up any resources being used.
+    /// </summary>
+    /// <param name="disposing">true if managed resources should be disposed; otherwise, false.</param>
+    protected override void Dispose(bool disposing) {
+      if (disposing && (components != null)) {
+        components.Dispose();
+      }
+      base.Dispose(disposing);
+    }
+
+    #region Windows Form Designer generated code
+
+    /// <summary>
+    /// Required method for Designer support - do not modify
+    /// the contents of this method with the code editor.
+    /// </summary>
+    private void InitializeComponent() {
+      this.label4 = new System.Windows.Forms.Label();
+      this.label1 = new System.Windows.Forms.Label();
+      this.rbSmall = new System.Windows.Forms.RadioButton();
+      this.rbMedium = new System.Windows.Forms.RadioButton();
+      this.rbLarge = new System.Windows.Forms.RadioButton();
+      this.rbCustom = new System.Windows.Forms.RadioButton();
+      this.label2 = new System.Windows.Forms.Label();
+      this.label3 = new System.Windows.Forms.Label();
+      this.SuspendLayout();
+      // 
+      // wizardBanner
+      // 
+      this.wizardBanner.Size = new System.Drawing.Size(408, 81);
+      this.wizardBanner.Subtitle = "Choose one of the predefiend data analysis scenarios or create a custom scenario." +
+    "";
+      this.wizardBanner.Title = "Select Analysis";
+      // 
+      // label4
+      // 
+      this.label4.AutoSize = true;
+      this.label4.Location = new System.Drawing.Point(3, 87);
+      this.label4.Name = "label4";
+      this.label4.Size = new System.Drawing.Size(32, 13);
+      this.label4.TabIndex = 1;
+      this.label4.Text = "Small";
+      // 
+      // label1
+      // 
+      this.label1.AutoSize = true;
+      this.label1.Location = new System.Drawing.Point(3, 106);
+      this.label1.Name = "label1";
+      this.label1.Size = new System.Drawing.Size(44, 13);
+      this.label1.TabIndex = 2;
+      this.label1.Text = "Medium";
+      // 
+      // rbSmall
+      // 
+      this.rbSmall.AutoSize = true;
+      this.rbSmall.Location = new System.Drawing.Point(54, 87);
+      this.rbSmall.Name = "rbSmall";
+      this.rbSmall.Size = new System.Drawing.Size(14, 13);
+      this.rbSmall.TabIndex = 3;
+      this.rbSmall.UseVisualStyleBackColor = true;
+      // 
+      // rbMedium
+      // 
+      this.rbMedium.AutoSize = true;
+      this.rbMedium.Checked = true;
+      this.rbMedium.Location = new System.Drawing.Point(54, 106);
+      this.rbMedium.Name = "rbMedium";
+      this.rbMedium.Size = new System.Drawing.Size(14, 13);
+      this.rbMedium.TabIndex = 4;
+      this.rbMedium.TabStop = true;
+      this.rbMedium.UseVisualStyleBackColor = true;
+      // 
+      // rbLarge
+      // 
+      this.rbLarge.AutoSize = true;
+      this.rbLarge.Location = new System.Drawing.Point(54, 125);
+      this.rbLarge.Name = "rbLarge";
+      this.rbLarge.Size = new System.Drawing.Size(14, 13);
+      this.rbLarge.TabIndex = 5;
+      this.rbLarge.UseVisualStyleBackColor = true;
+      // 
+      // rbCustom
+      // 
+      this.rbCustom.AutoSize = true;
+      this.rbCustom.Location = new System.Drawing.Point(54, 144);
+      this.rbCustom.Name = "rbCustom";
+      this.rbCustom.Size = new System.Drawing.Size(14, 13);
+      this.rbCustom.TabIndex = 6;
+      this.rbCustom.UseVisualStyleBackColor = true;
+      // 
+      // label2
+      // 
+      this.label2.AutoSize = true;
+      this.label2.Location = new System.Drawing.Point(3, 125);
+      this.label2.Name = "label2";
+      this.label2.Size = new System.Drawing.Size(34, 13);
+      this.label2.TabIndex = 7;
+      this.label2.Text = "Large";
+      // 
+      // label3
+      // 
+      this.label3.AutoSize = true;
+      this.label3.Location = new System.Drawing.Point(3, 144);
+      this.label3.Name = "label3";
+      this.label3.Size = new System.Drawing.Size(42, 13);
+      this.label3.TabIndex = 8;
+      this.label3.Text = "Custom";
+      // 
+      // SelectAnalysisPage
+      // 
+      this.AutoScaleDimensions = new System.Drawing.SizeF(6F, 13F);
+      this.Controls.Add(this.label3);
+      this.Controls.Add(this.label2);
+      this.Controls.Add(this.rbCustom);
+      this.Controls.Add(this.rbLarge);
+      this.Controls.Add(this.rbMedium);
+      this.Controls.Add(this.rbSmall);
+      this.Controls.Add(this.label1);
+      this.Controls.Add(this.label4);
+      this.Name = "SelectAnalysisPage";
+      this.Size = new System.Drawing.Size(408, 274);
+      this.SetActive += new System.ComponentModel.CancelEventHandler(this.SelectAnalysisPage_SetActive);
+      this.WizardNext += new HeuristicLab.ExperimentGeneration.DataAnalysis.Wizard.WizardPageEventHandler(this.SelectAnalysisPage_WizardNext);
+      this.Controls.SetChildIndex(this.label4, 0);
+      this.Controls.SetChildIndex(this.wizardBanner, 0);
+      this.Controls.SetChildIndex(this.label1, 0);
+      this.Controls.SetChildIndex(this.rbSmall, 0);
+      this.Controls.SetChildIndex(this.rbMedium, 0);
+      this.Controls.SetChildIndex(this.rbLarge, 0);
+      this.Controls.SetChildIndex(this.rbCustom, 0);
+      this.Controls.SetChildIndex(this.label2, 0);
+      this.Controls.SetChildIndex(this.label3, 0);
+      this.ResumeLayout(false);
+      this.PerformLayout();
+
+    }
+
+    #endregion
+
+    private System.Windows.Forms.Label label4;
+    private System.Windows.Forms.Label label1;
+    private System.Windows.Forms.RadioButton rbSmall;
+    private System.Windows.Forms.RadioButton rbMedium;
+    private System.Windows.Forms.RadioButton rbLarge;
+    private System.Windows.Forms.RadioButton rbCustom;
+    private System.Windows.Forms.Label label2;
+    private System.Windows.Forms.Label label3;
+  }
+}
Index: branches/DataAnalysisService/HeuristicLab.ExperimentGeneration.DataAnalysis.ExperimentWizard/3.3/SelectAnalysisPage.cs
===================================================================
--- branches/DataAnalysisService/HeuristicLab.ExperimentGeneration.DataAnalysis.ExperimentWizard/3.3/SelectAnalysisPage.cs	(revision 7824)
+++ branches/DataAnalysisService/HeuristicLab.ExperimentGeneration.DataAnalysis.ExperimentWizard/3.3/SelectAnalysisPage.cs	(revision 7824)
@@ -0,0 +1,37 @@
+﻿
+using System;
+namespace HeuristicLab.ExperimentGeneration.DataAnalysis.ExperimentWizard {
+  public partial class SelectAnalysisPage : HeuristicLab.ExperimentGeneration.DataAnalysis.Wizard.WizardPage {
+    private DataAnalysisWizardContext context;
+    public DataAnalysisWizardContext Context {
+      get { return context; }
+    }
+
+    public SelectAnalysisPage(DataAnalysisWizardContext context) {
+      InitializeComponent();
+      this.context = context;
+    }
+
+    private void SelectAnalysisPage_SetActive(object sender, System.ComponentModel.CancelEventArgs e) {
+      SetWizardButton(Wizard.WizardButtons.Next);
+    }
+
+    private void SelectAnalysisPage_WizardNext(object sender, Wizard.WizardPageEventArgs e) {
+      if (rbSmall.Checked) {
+        context.SelectedAnalysis = rbSmall.Text;
+        e.NewPage = "WizardPage";
+      } else if (rbMedium.Checked) {
+        context.SelectedAnalysis = rbMedium.Text;
+        e.NewPage = "MediumAnalysisPage";
+      } else if (rbLarge.Checked) {
+        context.SelectedAnalysis = rbLarge.Text;
+        e.NewPage = "WizardPage";
+      } else if (rbCustom.Checked) {
+        context.SelectedAnalysis = rbCustom.Text;
+        e.NewPage = "WizardPage";
+      } else {
+        throw new SystemException("Undefined data analysis selected.");
+      }
+    }
+  }
+}
Index: branches/DataAnalysisService/HeuristicLab.ExperimentGeneration.DataAnalysis.Wizard/3.3/HeuristicLab.ExperimentGeneration.DataAnalysis.Wizard.csproj
===================================================================
--- branches/DataAnalysisService/HeuristicLab.ExperimentGeneration.DataAnalysis.Wizard/3.3/HeuristicLab.ExperimentGeneration.DataAnalysis.Wizard.csproj	(revision 7816)
+++ branches/DataAnalysisService/HeuristicLab.ExperimentGeneration.DataAnalysis.Wizard/3.3/HeuristicLab.ExperimentGeneration.DataAnalysis.Wizard.csproj	(revision 7824)
@@ -95,4 +95,5 @@
     <None Include="HeuristicLab.snk" />
     <None Include="Plugin.cs.frame" />
+    <None Include="Properties\AssemblyInfo.cs.frame" />
   </ItemGroup>
   <Import Project="$(MSBuildToolsPath)\Microsoft.CSharp.targets" />
Index: branches/DataAnalysisService/HeuristicLab.ExperimentGeneration.DataAnalysis.Wizard/3.3/Properties/AssemblyInfo.cs
===================================================================
--- branches/DataAnalysisService/HeuristicLab.ExperimentGeneration.DataAnalysis.Wizard/3.3/Properties/AssemblyInfo.cs	(revision 7816)
+++ 	(revision )
@@ -1,36 +1,0 @@
-﻿using System.Reflection;
-using System.Runtime.CompilerServices;
-using System.Runtime.InteropServices;
-
-// General Information about an assembly is controlled through the following 
-// set of attributes. Change these attribute values to modify the information
-// associated with an assembly.
-[assembly: AssemblyTitle("HeuristicLab.ExperimentGeneration.DataAnalysis.Wizard")]
-[assembly: AssemblyDescription("")]
-[assembly: AssemblyConfiguration("")]
-[assembly: AssemblyCompany("FH-Hagenberg")]
-[assembly: AssemblyProduct("HeuristicLab.ExperimentGeneration.DataAnalysis.Wizard")]
-[assembly: AssemblyCopyright("Copyright © FH-Hagenberg 2012")]
-[assembly: AssemblyTrademark("")]
-[assembly: AssemblyCulture("")]
-
-// Setting ComVisible to false makes the types in this assembly not visible 
-// to COM components.  If you need to access a type in this assembly from 
-// COM, set the ComVisible attribute to true on that type.
-[assembly: ComVisible(false)]
-
-// The following GUID is for the ID of the typelib if this project is exposed to COM
-[assembly: Guid("aa09446b-2482-428f-9217-c1e433731bcf")]
-
-// Version information for an assembly consists of the following four values:
-//
-//      Major Version
-//      Minor Version 
-//      Build Number
-//      Revision
-//
-// You can specify all the values or you can default the Build and Revision Numbers 
-// by using the '*' as shown below:
-// [assembly: AssemblyVersion("1.0.*")]
-[assembly: AssemblyVersion("1.0.0.0")]
-[assembly: AssemblyFileVersion("1.0.0.0")]
Index: branches/DataAnalysisService/HeuristicLab.ExperimentGeneration.DataAnalysis.Wizard/3.3/Properties/AssemblyInfo.cs.frame
===================================================================
--- branches/DataAnalysisService/HeuristicLab.ExperimentGeneration.DataAnalysis.Wizard/3.3/Properties/AssemblyInfo.cs.frame	(revision 7824)
+++ branches/DataAnalysisService/HeuristicLab.ExperimentGeneration.DataAnalysis.Wizard/3.3/Properties/AssemblyInfo.cs.frame	(revision 7824)
@@ -0,0 +1,55 @@
+﻿#region License Information
+/* HeuristicLab
+ * Copyright (C) 2002-2012 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ *
+ * This file is part of HeuristicLab.
+ *
+ * HeuristicLab is free software: you can redistribute it and/or modify
+ * it under the terms of the GNU General Public License as published by
+ * the Free Software Foundation, either version 3 of the License, or
+ * (at your option) any later version.
+ *
+ * HeuristicLab is distributed in the hope that it will be useful,
+ * but WITHOUT ANY WARRANTY; without even the implied warranty of
+ * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+ * GNU General Public License for more details.
+ *
+ * You should have received a copy of the GNU General Public License
+ * along with HeuristicLab. If not, see <http://www.gnu.org/licenses/>.
+ */
+#endregion
+
+using System.Reflection;
+using System.Runtime.InteropServices;
+
+// General Information about an assembly is controlled through the following 
+// set of attributes. Change these attribute values to modify the information
+// associated with an assembly.
+[assembly: AssemblyTitle("HeuristicLab.ExperimentGeneration.DataAnalysis.Wizard")]
+[assembly: AssemblyDescription("HeuristicLab data anlysis wizard")]
+[assembly: AssemblyConfiguration("")]
+[assembly: AssemblyCompany("")]
+[assembly: AssemblyProduct("HeuristicLab")]
+[assembly: AssemblyCopyright("(c) 2002-2012 HEAL")]
+[assembly: AssemblyTrademark("")]
+[assembly: AssemblyCulture("")]
+
+// Setting ComVisible to false makes the types in this assembly not visible 
+// to COM components.  If you need to access a type in this assembly from 
+// COM, set the ComVisible attribute to true on that type.
+[assembly: ComVisible(false)]
+
+// The following GUID is for the ID of the typelib if this project is exposed to COM
+[assembly: Guid("F4ABB982-4A55-4282-BB7B-10900269CB5F")]
+
+// Version information for an assembly consists of the following four values:
+//
+//      Major Version
+//      Minor Version 
+//      Build Number
+//      Revision
+//
+// You can specify all the values or you can default the Build and Revision Numbers 
+// by using the '*' as shown below:
+[assembly: AssemblyVersion("3.3.0.0")]
+[assembly: AssemblyFileVersion("3.3.6.$WCREV$")]
Index: branches/DataAnalysisService/HeuristicLab.ExperimentGeneration.DataAnalysis.Wizard/3.3/WizardBase.cs
===================================================================
--- branches/DataAnalysisService/HeuristicLab.ExperimentGeneration.DataAnalysis.Wizard/3.3/WizardBase.cs	(revision 7816)
+++ branches/DataAnalysisService/HeuristicLab.ExperimentGeneration.DataAnalysis.Wizard/3.3/WizardBase.cs	(revision 7824)
@@ -92,4 +92,11 @@
         btnNext.Enabled = false;
         AcceptButton = btnCommit;
+      } else if (button == WizardButtons.None) {
+        btnCommit.Visible = false;
+        btnCommit.Enabled = false;
+        btnNext.Visible = true;
+        btnNext.Enabled = false;
+        btnBack.Enabled = false;
+        AcceptButton = btnNext;
       }
     }
@@ -99,4 +106,8 @@
         btnCommit.Text = buttonText;
       }
+    }
+
+    public void AddPage(WizardPage page) {
+      WizardPages.Add(page);
     }
 