Index: branches/ProblemInstancesRegressionAndClassification/HeuristicLab 3.3.sln
===================================================================
--- branches/ProblemInstancesRegressionAndClassification/HeuristicLab 3.3.sln	(revision 7827)
+++ branches/ProblemInstancesRegressionAndClassification/HeuristicLab 3.3.sln	(revision 7831)
@@ -8,30 +8,16 @@
 	EndProjectSection
 EndProject
-Project("{FAE04EC0-301F-11D3-BF4B-00C04F79EFBC}") = "HeuristicLab.Problems.Instances.Regression.TrentMcConaghy-3.4", "HeuristicLab.Problems.Instances.TrentMcConaghy\3.4\HeuristicLab.Problems.Instances.Regression.TrentMcConaghy-3.4.csproj", "{12092780-41B2-45CC-9E1F-7FD780DE3E56}"
+Project("{FAE04EC0-301F-11D3-BF4B-00C04F79EFBC}") = "HeuristicLab.Problems.Instances.Regression.TrentMcConaghy-3.3", "HeuristicLab.Problems.Instances.TrentMcConaghy\3.3\HeuristicLab.Problems.Instances.Regression.TrentMcConaghy-3.3.csproj", "{12092780-41B2-45CC-9E1F-7FD780DE3E56}"
 EndProject
 Global
 	GlobalSection(SolutionConfigurationPlatforms) = preSolution
 		Debug|Any CPU = Debug|Any CPU
-		Debug|Mixed Platforms = Debug|Mixed Platforms
-		Debug|x64 = Debug|x64
-		Debug|x86 = Debug|x86
 		Release|Any CPU = Release|Any CPU
-		Release|Mixed Platforms = Release|Mixed Platforms
-		Release|x64 = Release|x64
-		Release|x86 = Release|x86
 	EndGlobalSection
 	GlobalSection(ProjectConfigurationPlatforms) = postSolution
 		{12092780-41B2-45CC-9E1F-7FD780DE3E56}.Debug|Any CPU.ActiveCfg = Debug|Any CPU
 		{12092780-41B2-45CC-9E1F-7FD780DE3E56}.Debug|Any CPU.Build.0 = Debug|Any CPU
-		{12092780-41B2-45CC-9E1F-7FD780DE3E56}.Debug|Mixed Platforms.ActiveCfg = Debug|Any CPU
-		{12092780-41B2-45CC-9E1F-7FD780DE3E56}.Debug|Mixed Platforms.Build.0 = Debug|Any CPU
-		{12092780-41B2-45CC-9E1F-7FD780DE3E56}.Debug|x64.ActiveCfg = Debug|Any CPU
-		{12092780-41B2-45CC-9E1F-7FD780DE3E56}.Debug|x86.ActiveCfg = Debug|Any CPU
 		{12092780-41B2-45CC-9E1F-7FD780DE3E56}.Release|Any CPU.ActiveCfg = Release|Any CPU
 		{12092780-41B2-45CC-9E1F-7FD780DE3E56}.Release|Any CPU.Build.0 = Release|Any CPU
-		{12092780-41B2-45CC-9E1F-7FD780DE3E56}.Release|Mixed Platforms.ActiveCfg = Release|Any CPU
-		{12092780-41B2-45CC-9E1F-7FD780DE3E56}.Release|Mixed Platforms.Build.0 = Release|Any CPU
-		{12092780-41B2-45CC-9E1F-7FD780DE3E56}.Release|x64.ActiveCfg = Release|Any CPU
-		{12092780-41B2-45CC-9E1F-7FD780DE3E56}.Release|x86.ActiveCfg = Release|Any CPU
 	EndGlobalSection
 	GlobalSection(SolutionProperties) = preSolution
Index: branches/ProblemInstancesRegressionAndClassification/HeuristicLab.Problems.Instances.TrentMcConaghy/3.3/HeuristicLab.Problems.Instances.Regression.TrentMcConaghy-3.3.csproj
===================================================================
--- branches/ProblemInstancesRegressionAndClassification/HeuristicLab.Problems.Instances.TrentMcConaghy/3.3/HeuristicLab.Problems.Instances.Regression.TrentMcConaghy-3.3.csproj	(revision 7831)
+++ branches/ProblemInstancesRegressionAndClassification/HeuristicLab.Problems.Instances.TrentMcConaghy/3.3/HeuristicLab.Problems.Instances.Regression.TrentMcConaghy-3.3.csproj	(revision 7831)
@@ -0,0 +1,97 @@
+﻿<?xml version="1.0" encoding="utf-8"?>
+<Project ToolsVersion="4.0" DefaultTargets="Build" xmlns="http://schemas.microsoft.com/developer/msbuild/2003">
+  <PropertyGroup>
+    <Configuration Condition=" '$(Configuration)' == '' ">Debug</Configuration>
+    <Platform Condition=" '$(Platform)' == '' ">AnyCPU</Platform>
+    <ProductVersion>8.0.30703</ProductVersion>
+    <SchemaVersion>2.0</SchemaVersion>
+    <ProjectGuid>{12092780-41B2-45CC-9E1F-7FD780DE3E56}</ProjectGuid>
+    <OutputType>Library</OutputType>
+    <AppDesignerFolder>Properties</AppDesignerFolder>
+    <RootNamespace>HeuristicLab.Problems.Instances.Regression.TrentMcConaghy</RootNamespace>
+    <AssemblyName>HeuristicLab.Problems.Instances.Regression.TrentMcConaghy-3.3</AssemblyName>
+    <TargetFrameworkVersion>v4.0</TargetFrameworkVersion>
+    <FileAlignment>512</FileAlignment>
+  </PropertyGroup>
+  <PropertyGroup Condition=" '$(Configuration)|$(Platform)' == 'Debug|AnyCPU' ">
+    <DebugSymbols>true</DebugSymbols>
+    <DebugType>full</DebugType>
+    <Optimize>false</Optimize>
+    <OutputPath>..\..\..\..\trunk\sources\bin\</OutputPath>
+    <DefineConstants>DEBUG;TRACE</DefineConstants>
+    <ErrorReport>prompt</ErrorReport>
+    <WarningLevel>4</WarningLevel>
+  </PropertyGroup>
+  <PropertyGroup Condition=" '$(Configuration)|$(Platform)' == 'Release|AnyCPU' ">
+    <DebugType>pdbonly</DebugType>
+    <Optimize>true</Optimize>
+    <OutputPath>..\..\..\..\trunk\sources\bin\</OutputPath>
+    <DefineConstants>TRACE</DefineConstants>
+    <ErrorReport>prompt</ErrorReport>
+    <WarningLevel>4</WarningLevel>
+  </PropertyGroup>
+  <PropertyGroup>
+    <SignAssembly>true</SignAssembly>
+  </PropertyGroup>
+  <PropertyGroup>
+    <AssemblyOriginatorKeyFile>HeuristicLab.snk</AssemblyOriginatorKeyFile>
+  </PropertyGroup>
+  <ItemGroup>
+    <Reference Include="HeuristicLab.Collections-3.3">
+      <HintPath>..\..\..\..\trunk\sources\bin\HeuristicLab.Collections-3.3.dll</HintPath>
+    </Reference>
+    <Reference Include="HeuristicLab.Common-3.3">
+      <HintPath>..\..\..\..\trunk\sources\bin\HeuristicLab.Common-3.3.dll</HintPath>
+    </Reference>
+    <Reference Include="HeuristicLab.Core-3.3">
+      <HintPath>..\..\..\..\trunk\sources\bin\HeuristicLab.Core-3.3.dll</HintPath>
+    </Reference>
+    <Reference Include="HeuristicLab.Data-3.3">
+      <HintPath>..\..\..\..\trunk\sources\bin\HeuristicLab.Data-3.3.dll</HintPath>
+    </Reference>
+    <Reference Include="HeuristicLab.Optimization-3.3">
+      <HintPath>..\..\..\..\trunk\sources\bin\HeuristicLab.Optimization-3.3.dll</HintPath>
+    </Reference>
+    <Reference Include="HeuristicLab.PluginInfrastructure-3.3">
+      <HintPath>..\..\..\..\trunk\sources\bin\HeuristicLab.PluginInfrastructure-3.3.dll</HintPath>
+    </Reference>
+    <Reference Include="HeuristicLab.Problems.DataAnalysis-3.4, Version=3.4.0.0, Culture=neutral, PublicKeyToken=ba48961d6f65dcec, processorArchitecture=MSIL" />
+    <Reference Include="HeuristicLab.Problems.Instances-3.3, Version=3.3.0.0, Culture=neutral, PublicKeyToken=ba48961d6f65dcec, processorArchitecture=MSIL" />
+    <Reference Include="HeuristicLab.Problems.Instances.Regression-3.3, Version=3.3.0.0, Culture=neutral, PublicKeyToken=ba48961d6f65dcec, processorArchitecture=MSIL" />
+    <Reference Include="System" />
+    <Reference Include="System.Core" />
+    <Reference Include="System.Xml.Linq" />
+    <Reference Include="System.Data.DataSetExtensions" />
+    <Reference Include="Microsoft.CSharp" />
+    <Reference Include="System.Data" />
+    <Reference Include="System.Xml" />
+  </ItemGroup>
+  <ItemGroup>
+    <Compile Include="Properties\AssemblyInfo.cs" />
+    <Compile Include="TrentMcConaghy\TrentMcConaghyInstanceProvider.cs" />
+  </ItemGroup>
+  <ItemGroup>
+    <EmbeddedResource Include="Data\TrentMcConaghy.zip" />
+    <Compile Include="Plugin.cs" />
+    <None Include="HeuristicLab.snk" />
+    <None Include="Plugin.cs.frame" />
+    <None Include="Properties\AssemblyInfo.cs.frame" />
+  </ItemGroup>
+  <Import Project="$(MSBuildToolsPath)\Microsoft.CSharp.targets" />
+  <PropertyGroup>
+    <PreBuildEvent>set Path=%25Path%25;$(ProjectDir);$(SolutionDir)
+set ProjectDir=$(ProjectDir)
+set SolutionDir=$(SolutionDir)
+set Outdir=$(Outdir)
+
+call PreBuildEvent.cmd
+</PreBuildEvent>
+  </PropertyGroup>
+  <!-- To modify your build process, add your task inside one of the targets below and uncomment it. 
+       Other similar extension points exist, see Microsoft.Common.targets.
+  <Target Name="BeforeBuild">
+  </Target>
+  <Target Name="AfterBuild">
+  </Target>
+  -->
+</Project>
Index: branches/ProblemInstancesRegressionAndClassification/HeuristicLab.Problems.Instances.TrentMcConaghy/3.3/Plugin.cs.frame
===================================================================
--- branches/ProblemInstancesRegressionAndClassification/HeuristicLab.Problems.Instances.TrentMcConaghy/3.3/Plugin.cs.frame	(revision 7831)
+++ branches/ProblemInstancesRegressionAndClassification/HeuristicLab.Problems.Instances.TrentMcConaghy/3.3/Plugin.cs.frame	(revision 7831)
@@ -0,0 +1,36 @@
+﻿#region License Information
+/* HeuristicLab
+ * Copyright (C) 2002-2012 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ *
+ * This file is part of HeuristicLab.
+ *
+ * HeuristicLab is free software: you can redistribute it and/or modify
+ * it under the terms of the GNU General Public License as published by
+ * the Free Software Foundation, either version 3 of the License, or
+ * (at your option) any later version.
+ *
+ * HeuristicLab is distributed in the hope that it will be useful,
+ * but WITHOUT ANY WARRANTY; without even the implied warranty of
+ * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+ * GNU General Public License for more details.
+ *
+ * You should have received a copy of the GNU General Public License
+ * along with HeuristicLab. If not, see <http://www.gnu.org/licenses/>.
+ */
+#endregion
+
+using HeuristicLab.PluginInfrastructure;
+
+namespace HeuristicLab.Problems.Instances.Regression.TrentMcConaghy {
+  [Plugin("HeuristicLab.Problems.Instances.Regression.TrentMcConaghy", "3.3.6.$WCREV$")]
+  [PluginFile("HeuristicLab.Problems.Instances.Regression.TrentMcConaghy-3.3.dll", PluginFileType.Assembly)]
+  [PluginDependency("HeuristicLab.Common", "3.3")]
+  [PluginDependency("HeuristicLab.Core", "3.3")]
+  [PluginDependency("HeuristicLab.Optimization", "3.3")]
+  [PluginDependency("HeuristicLab.Problems.DataAnalysis", "3.4")]
+  [PluginDependency("HeuristicLab.Problems.Instances", "3.3")]
+  [PluginDependency("HeuristicLab.Problems.Instances.Regression", "3.3")]
+  [PluginDependency("HeuristicLab.Random", "3.3")]
+  public class HeuristicLabProblemsInstancesRegressionTrentMcConaghyPlugin : PluginBase {
+  }
+}
Index: branches/ProblemInstancesRegressionAndClassification/HeuristicLab.Problems.Instances.TrentMcConaghy/3.3/Properties/AssemblyInfo.cs.frame
===================================================================
--- branches/ProblemInstancesRegressionAndClassification/HeuristicLab.Problems.Instances.TrentMcConaghy/3.3/Properties/AssemblyInfo.cs.frame	(revision 7831)
+++ branches/ProblemInstancesRegressionAndClassification/HeuristicLab.Problems.Instances.TrentMcConaghy/3.3/Properties/AssemblyInfo.cs.frame	(revision 7831)
@@ -0,0 +1,57 @@
+﻿#region License Information
+/* HeuristicLab
+ * Copyright (C) 2002-2012 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ *
+ * This file is part of HeuristicLab.
+ *
+ * HeuristicLab is free software: you can redistribute it and/or modify
+ * it under the terms of the GNU General Public License as published by
+ * the Free Software Foundation, either version 3 of the License, or
+ * (at your option) any later version.
+ *
+ * HeuristicLab is distributed in the hope that it will be useful,
+ * but WITHOUT ANY WARRANTY; without even the implied warranty of
+ * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+ * GNU General Public License for more details.
+ *
+ * You should have received a copy of the GNU General Public License
+ * along with HeuristicLab. If not, see <http://www.gnu.org/licenses/>.
+ */
+#endregion
+
+using System.Reflection;
+using System.Runtime.CompilerServices;
+using System.Runtime.InteropServices;
+
+// General Information about an assembly is controlled through the following 
+// set of attributes. Change these attribute values to modify the information
+// associated with an assembly.
+[assembly: AssemblyTitle("HeuristicLab.Problems.Instances.Regression.TrentMcConaghy")]
+[assembly: AssemblyDescription("")]
+[assembly: AssemblyConfiguration("")]
+[assembly: AssemblyCompany("HEAL")]
+[assembly: AssemblyProduct("HeuristicLab")]
+[assembly: AssemblyCopyright("(c) 2002-2012 HEAL")]
+[assembly: AssemblyTrademark("")]
+[assembly: AssemblyCulture("")]
+
+// Setting ComVisible to false makes the types in this assembly not visible 
+// to COM components.  If you need to access a type in this assembly from 
+// COM, set the ComVisible attribute to true on that type.
+[assembly: ComVisible(false)]
+
+// The following GUID is for the ID of the typelib if this project is exposed to COM
+[assembly: Guid("f0c961fe-7ba6-48ec-a20a-54052129ec78")]
+
+// Version information for an assembly consists of the following four values:
+//
+//      Major Version
+//      Minor Version 
+//      Build Number
+//      Revision
+//
+// You can specify all the values or you can default the Build and Revision Numbers 
+// by using the '*' as shown below:
+// [assembly: AssemblyVersion("1.0.*")]
+[assembly: AssemblyVersion("3.3.0.0")]
+[assembly: AssemblyFileVersion("3.3.6.$WCREV$")]
Index: branches/ProblemInstancesRegressionAndClassification/HeuristicLab.Problems.Instances.TrentMcConaghy/3.3/TrentMcConaghy/TrentMcConaghyInstanceProvider.cs
===================================================================
--- branches/ProblemInstancesRegressionAndClassification/HeuristicLab.Problems.Instances.TrentMcConaghy/3.3/TrentMcConaghy/TrentMcConaghyInstanceProvider.cs	(revision 7831)
+++ branches/ProblemInstancesRegressionAndClassification/HeuristicLab.Problems.Instances.TrentMcConaghy/3.3/TrentMcConaghy/TrentMcConaghyInstanceProvider.cs	(revision 7831)
@@ -0,0 +1,68 @@
+﻿#region License Information
+/* HeuristicLab
+ * Copyright (C) 2002-2012 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ *
+ * This file is part of HeuristicLab.
+ *
+ * HeuristicLab is free software: you can redistribute it and/or modify
+ * it under the terms of the GNU General Public License as published by
+ * the Free Software Foundation, either version 3 of the License, or
+ * (at your option) any later version.
+ *
+ * HeuristicLab is distributed in the hope that it will be useful,
+ * but WITHOUT ANY WARRANTY; without even the implied warranty of
+ * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+ * GNU General Public License for more details.
+ *
+ * You should have received a copy of the GNU General Public License
+ * along with HeuristicLab. If not, see <http://www.gnu.org/licenses/>.
+ */
+#endregion
+
+using System;
+using System.Collections.Generic;
+using System.Linq;
+using System.Reflection;
+using System.Text.RegularExpressions;
+using HeuristicLab.Problems.DataAnalysis;
+
+namespace HeuristicLab.Problems.Instances.Regression.TrentMcConaghy {
+  public class TrentMcConaghyInstanceProvider : ResourceRegressionInstanceProvider {
+    public override string Name {
+      get { return "Trent McConaghy Benchmark Problems"; }
+    }
+    public override string Description {
+      get {
+        return "Paper: Deterministic Symbolic Regression Technology, Genetic Programming Theory and Practice IX" + Environment.NewLine
+          + "High-Dimensional Statistical Modeling and Analysis of Custom Integrated Circuits" + Environment.NewLine
+          + "Authors: T. McConaghy" + Environment.NewLine
+          + "Website: http://trent.st/ffx/";
+      }
+    }
+    public override Uri WebLink {
+      get { return new Uri("http://trent.st/ffx/"); }
+    }
+    public override string ReferencePublication {
+      get { return ""; }
+    }
+
+    protected override string FileName { get { return "TrentMcConaghy"; } }
+
+    public override IRegressionProblemData LoadData(IDataDescriptor id) {
+      IRegressionProblemData regData = base.LoadData(id);
+      string targetVar = regData.InputVariables.First().Value;
+      IEnumerable<string> allowedInputVars = regData.InputVariables.Where(x => !x.Equals(regData.TargetVariable)).Select(x => x.Value);
+      RegressionProblemData newRegData = new RegressionProblemData(regData.Dataset, allowedInputVars, targetVar);
+
+      return regData;
+    }
+
+    /**
+     * has to be overriden to get the ResourceName of this Assembly
+     */
+    protected override string GetResourceName(string fileName) {
+      return Assembly.GetExecutingAssembly().GetManifestResourceNames()
+              .Where(x => Regex.Match(x, @".*\.Data\." + fileName).Success).SingleOrDefault();
+    }
+  }
+}